API DocumentationManufacturer customer controller

Get a customer by ID

GET
/api/manufacturer/v1/customer/{customerId}

Retrieves details of a specific customer by their ID

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

customerId*integer

ID of the customer to retrieve

Formatint64

Response Body

Customer retrieved successfully

application/json
  1. response
email?string
customerId*integer
Formatint64
organisationId*integer
Formatint64
organisationName?string
isApproved*boolean
firstName*string
lastName*string
phoneNumber*string
notificationPreference*string
discountId?integer
Formatint64
discountPercentage?number
language?string
curl -X GET 'https://m-api.eu.phas.io/api/manufacturer/v1/customer/1'
{  "email": "string",  "customerId": 0,  "organisationId": 0,  "organisationName": "string",  "isApproved": true,  "firstName": "string",  "lastName": "string",  "phoneNumber": "string",  "notificationPreference": "string",  "discountId": 0,  "discountPercentage": 0,  "language": "string"}

Last updated on